Bug 1014220 (PY3ANACONDA) - Fully support Python 3 and drop Python 2 dependency in Anaconda
Summary: Fully support Python 3 and drop Python 2 dependency in Anaconda
Keywords:
Status: CLOSED RAWHIDE
Alias: PY3ANACONDA
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 984907 985294 985295 985297 985301 985307 985308 985310 985317 985321 1014548 1014555 1014560 1014580 1014581 1014597 1141242
Blocks: F23PYTHON3
TreeView+ depends on / blocked
 
Reported: 2013-10-01 14:24 UTC by Miro Hrončok
Modified: 2015-07-10 12:10 UTC (History)
12 users (show)

Fixed In Version: anaconda-23.10-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-10 12:10:01 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2013-10-01 14:24:51 UTC
As for Fedora 22, we would like to have Python 3-only default installation and LiveCD. Anaconda is one of the main priorities to update to Python 3.

Please make any preparations needed, so you can flawlessly switch to Python 3 in Fedora 22.

Comment 1 Bohuslav "Slavek" Kabrda 2015-01-21 14:23:35 UTC
Removing bug 985288 (python3 port of urlgrabber), since urlgrabber will be dropped as Anaconda dependency (bug 1141242).

Comment 2 Vratislav Podzimek 2015-01-21 16:33:14 UTC
(In reply to Bohuslav "Slavek" Kabrda from comment #1)
> Removing bug 985288 (python3 port of urlgrabber), since urlgrabber will be
> dropped as Anaconda dependency (bug 1141242).
The same applies to bug 985290 because blivet will be using the new libblockdev library providing the functionality that now requires python-nss.

Comment 3 Martin Kolman 2015-01-28 11:46:39 UTC
(In reply to Bohuslav "Slavek" Kabrda from comment #1)
> Removing bug 985288 (python3 port of urlgrabber), since urlgrabber will be
> dropped as Anaconda dependency (bug 1141242).

The next Rawhide Anaconda build (22.17) will no longer depend on urlgrabber, which has been replaced by the Python 3 compatible python-requests module.

Comment 4 Jaroslav Reznik 2015-03-03 15:07:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Martin Kolman 2015-06-01 14:50:15 UTC
A Python 3 Anaconda pull request for the master branch has been posted:
https://github.com/rhinstaller/anaconda/pull/122

Comment 6 Martin Kolman 2015-06-04 14:53:27 UTC
And the patch set has been pushed to the Anaconda master branch.

Comment 7 Miro Hrončok 2015-07-10 12:10:01 UTC
Thank you.

Based of all my repoquery checks, anaconda-* in rawhide (to be 23) only requires Python 3 packages.


Note You need to log in before you can comment on or make changes to this bug.